List Reconciliation Findings
curl --request GET \
--url https://api.example.com/reconciliation/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/reconciliation/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/reconciliation/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"asset_type": "automation",
"asset_id": "<string>",
"finding_type": "missing_link",
"title": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_name": "<string>",
"memory_type": "feature",
"memory_key": "<string>",
"severity": "medium",
"status": "open",
"source": "agent",
"confidence": 0.5,
"description": "<string>",
"observed_state": {},
"documented_state": {},
"proposed_action": {},
"fingerprint": "<string>",
"review_context": "<string>",
"assigned_to_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewed_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_notes": "<string>",
"resolution_notes": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}reconciliation
List Reconciliation Findings
GET
/
reconciliation
/
List Reconciliation Findings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Available options:
open, proposed, approved, rejected, resolved, dismissed Available options:
automation, dashboard, dataset, deployment, feature, model, ontology, pipeline, strategy Available options:
feature, ontology, strategy Available options:
info, low, medium, high, critical Required range:
1 <= x <= 200Response
Successful Response
Available options:
automation, dashboard, dataset, deployment, feature, model, ontology, pipeline, strategy Required string length:
1 - 255Available options:
missing_link, stale_link, missing_definition, schema_drift, definition_conflict, memory_change_requires_review, asset_deleted, proposed_update Required string length:
1 - 255Maximum string length:
255Available options:
feature, ontology, strategy Maximum string length:
255Available options:
info, low, medium, high, critical Available options:
open, proposed, approved, rejected, resolved, dismissed Available options:
agent, backend_hook, human, system_job Required range:
0 <= x <= 1Maximum string length:
4000Maximum string length:
500